@charset "UTF-8";

body.win-fixed {
    position: fixed;
    right: calc(50% - 600px);
    #subheader { display: none; }
}

@keyframes slideInFromLeft {
  0% {
    transform: translateX(-100%);
  }
  100% {
    transform: translateX(0);
  }
}

@keyframes showIn {
  from { opacity: 0; }
  to { opacity: 1; }
}

#wrapper {
    @include flex;
    @include flex-direction(column);
    @include flex-grow(1);
    width: 100%;
    min-height: 100vh;
}

#header {
    width: 100%;
    height: 80px;
    background: $COLOR_2;
    @include flex;
    .inside {
        width: 100%;
        margin: auto;
        max-width: 1200px;
        @include flex;
        @include justify-content(space-between);
        #skip-links {
            width: 100%;
            position: absolute;
            top: -50px;
            @include transition(top, .3s);
            background: $COLOR_2;
            z-index: 300;
            &.focused {
                top: -10px;
                padding: 12px;
            }

            a {
                color: $COLOR_1;
            }
        }
        .logos {
            @include flex;
            @include align-items(center);
            margin-right: auto;
            .logos-header {
                display: block;
            }
            .accueil {
                height: 80px;
                width: 88px;
                margin-right: 15px;
                font-size: 0;
                background:url("../medias/logo.png") no-repeat center top;
                background-size: 88px;
            }
        }
        .menu {
            @include flex;
            @include align-items(center);
            @include justify-content(center);
            height: 80px;
            width: 80px;
            background: $COLOR_1;
            z-index: 1002;
            position: relative;
            cursor: pointer;
            &:hover,&:focus {
                &::before {
                    -ms-transform: rotate(180deg); /* IE 9 */
                    -webkit-transform: rotate(180deg); /* Chrome, Safari, Opera */
                    transform: rotate(180deg);
                    -moz-transition: .3s;
                    -ms-transition: .3s;
                    -o-transition: .3s;
                    transition: .3s;
                }
            }
            &::before {
                content: '\e800';
                font-family: "fontello";
                display: inline-block;
                font-size: 28px;
                color: $COLOR_2;
            }
            &::after {
                visibility: hidden;
                @include transition(all, .3s);
            }
            &.actif {
                &::before {
                    content: '\e838';
                    font-size: 36px;
                }
                &::after {
                    content: "";
                    visibility: visible;
                    position: absolute;
                    bottom: -15px;
                    left: 20px;
                    border-color: $COLOR_1 transparent transparent;
                    border-width: 15px 20px 0px;
                    -ms-transform: rotate(180deg); /* IE 9 */
                    -webkit-transform: rotate(180deg); /* Chrome, Safari, Opera */
                    transform: rotate(180deg);
                    -moz-transition: .3s;
                    -ms-transition: .3s;
                    -o-transition: .3s;
                    transition: .3s;
                    border-style: solid;
                    width: 0px;
                    height: 0px;
                    line-height: 0px;
                    border-width: 0px 20px 15px 20px;
                    border-color: transparent transparent $COLOR_1 transparent;
                    _border-color: #000 #000 $COLOR_1 #000;
                    _filter: progid:DXImageTransform.Microsoft.Chroma(color='#000000');
                }
            }
        }
    }
    #menu_principal {
        position: fixed;
        visibility: hidden;
        background: $COLOR_2;
        height: 100vh;
        width: 100vw;
        left: 0;
        top: 0;
        z-index: 1001;
        opacity:0;
        transition:visibility 0s linear 0.5s,opacity 0.5s linear;
        -moz-transition: visibility 0s linear 0.5s,opacity 0.5s linear;
        -ms-transition: visibility 0s linear 0.5s,opacity 0.5s linear;
        -o-transition: visibility 0s linear 0.5s,opacity 0.5s linear;
        &.actif {
            visibility: visible;
            opacity:1;
            transition-delay:0s;
        }
        ul.level_1 {
            max-width: 1200px;
            width: 100%;
            margin: 110px auto 0px auto;
            text-align: right;
            padding: 0;
            height: calc(100vh - 110px);
            overflow-y: auto;
            li {
                list-style: none;
                display: contents;
                a,strong {
                    color: $COLOR_3;
                    font-weight: 300;
                    font-size: 26px;
                    padding: 6px 13px;
                    text-decoration: none;
                    display: block;
                    text-transform: uppercase;
                    word-break: keep-all;
                    max-width: calc(100% - 26px);
                    &.twitter {
                        @include flex();
                        @include justify-content(flex-end);
                        i {
                            color: $COLOR_1;
                            border: 2px solid;
                            border-radius: 100px;
                            height: 45px;
                            width: 45px;
                            @include flex();
                            @include justify-content(center);
                            @include align-items(center);
                            &:hover,&:focus { color: $COLOR_3; }
                        }
                    }
                }
                a:hover,a:focus { color: $COLOR_1; }
                strong {
                    color: $COLOR_1;
                    text-decoration: none;
                }
                ul.level_2 {
                    padding: 0px 20px;
                    a,strong {
                        font-size: 22px;
                        text-transform: inherit;
                    }
                }
                &.last {
                    & > a,& > strong { margin-bottom: 20px; }
                }
            }
        }
    }
}

#subheader {
    animation: 0.5s ease-out 0s 1 showIn;
    .image_container {
        @include flex;
        width: 100%;
        min-height: 300px;
        img { object-fit: cover; }
    }
    .mod_breadcrumb {
        width: 100%;
        margin: auto;
        max-width: 1200px;
        background: $COLOR_2;
        ul {
            @include flex;
            @include flex-wrap(wrap);
            list-style: none;
            padding-left: 0px;
            li {
                @include flex;
                margin-right: 5px;
                &::after {
                    content: ">";
                    display: block;
                    color: $COLOR_1;
                    margin-left: 5px;
                }
                &.first {}
                &.last {
                    &::after { display: none; }
                }
            }
        }
    }
}

#container {
    @include flex;
    @include flex-direction(row);
    @include justify-content(space-between);
    @include flex-grow(1);
    width: 100%;
    margin: 0 auto;
    padding-bottom: 40px;
    background: $COLOR_5;
    animation: 0.5s ease-out 0s 1 showIn;
    #main {
        width: 100%;
        .inside {
            @include flex;
            @include flex-direction(column);
            @include align-content(center);
            width: 100%;
            margin: auto;
            max-width: 1200px;
            .mod_article {
                margin: 0px 50px;
                &.first {
                  padding-top: 40px;
                }
            }
        }
    }
}

#footer {
    width: 100%;
    height: 100px;
    background: $COLOR_2;
    @include flex;
    .inside {
        width: 100%;
        margin: auto;
        max-width: 1200px;
        @include flex;
        @include align-items(center);
        @include justify-content(space-between);
        .sp {
          @include flex;
          @include align-items(center);
          .lsponsor {
              display: block;
              margin-right: 15px;
          }
          .limoges {
              height: 55px;
              width: 44px;
              background:url("../medias/logo-limoges.png") no-repeat center top;
          }
          .na {
              height: 55px;
              width: 140px;
              background:url("../medias/Logo_NA_QUADRI_Web.svg") no-repeat center top;
          }
          .lna {
              height: 55px;
              width: 55px;
              background:url("../medias/Logo-Ligue-NA.png") no-repeat center top;
          }
          .lec {
              height: 55px;
              width: 90px;
              background:url("../medias/lec.png") no-repeat center top;
              margin-right: 0px;
          }
        }
        .nav_secondaire {
            @include flex;
        }
    }
}

@media(max-width:1280px)
{
    body.win-fixed {
        position: fixed;
        right: calc(50% - 500px);
    }
    #header {
        .inside {
            max-width: 1000px;
            #menu_principal {
                ul.level_1 {
                    li {
                        a, strong { margin-right: calc(50% - 500px); }
                        ul.level_2 {
                            margin-right: calc(50% - 500px);
                            a, strong { margin-right: inherit; }
                        }
                    }
                }
            }
        }
    }
    #subheader {
        .mod_breadcrumb {
            max-width: 1000px;
        }
    }
    #container {
        #main {
            .inside {
                max-width: 1000px;
            }
        }
    }
    #footer {
        @include flex;
        .inside {
            max-width: 1000px;
        }
    }
}

@media(max-width:1024px)
{
    body.win-fixed {
        position: fixed;
        right: calc(50% - 350px);
    }
    #header {
        .inside {
            max-width: 700px;
            #menu_principal {
                ul.level_1 {
                    li {
                        a, strong { margin-right: calc(50% - 350px); }
                        ul.level_2 {
                          margin-right: calc(50% - 350px);
                          a, strong { margin-right: inherit; }
                        }
                    }
                }
            }
        }
    }
    #subheader {
        .mod_breadcrumb {
            max-width: 700px;
        }
    }
    #container {
        #main {
            .inside {
                max-width: 700px;
            }
        }
    }
    #footer {
        @include flex;
        .inside {
            max-width: 700px;
        }
    }
}

@media(max-width:768px)
{
    body.win-fixed {
        position: fixed;
        left: 0;
        right: inherit;
    }
    #header {
        .inside {
            max-width: 100%;
            @include flex-direction(row-reverse);
            @include justify-content(flex-end);
        }
        #menu_principal {
            ul.level_1 {
                text-align: left;
                li {
                    a,strong {
                          font-size: 25px;
                          margin-right: inherit;
                          &.twitter {
                              @include justify-content(flex-start);
                          }
                    }
                    ul.level_2 {
                        margin-right: inherit!important;
                        a,strong {
                            font-size: 20px;
                        }
                    }
                }
            }
        }
    }
    #subheader {
        .mod_breadcrumb {
            max-width: 96%;
        }
    }
    #container {
        #main {
            .inside {
                max-width: 96%;
                .mod_article {
                    margin: 0px 2%;
                }
            }
        }
    }
    #footer {
        @include flex;
        .inside {
            max-width: 96%;
            @include justify-content(center);
        }
    }
}

@media(max-width:460px)
{
    #header {
        height: 74px;
        .inside {
            .logos {
                .accueil {
                    margin-right: 0px;
                }
            }
            .menu {
                height: 74px;
                width: 74px;
                &.actif::after { left: 16px !important; }
            }
        }
        #menu_principal {
            ul.level_1 {
                li {
                    a,strong {
                        font-size: 22px;
                    }
                    ul.level_2 {
                        a,strong {
                            font-size: 18px;
                        }
                    }
                }
            }
        }
    }
    #footer {
        .inside {
            max-width: 100%;
            @include flex-direction(column);
            .sp {
              .travaux-na {
                  height: 38px;
                  width: 54px;
                  background-size: 55px;
              }
              .travaux {
                  height: 40px;
                  width: 48px;
                  background-size: 48px;
              }
              .ore {
                  width: 150px;
                  background-size: 150px;
                  margin-right: 0px;
              }
            }
            .nav_secondaire {
            }
        }
    }
}
